Actualizar datos de un ticket
PUT
/tickets/{ticketId}
const url = 'https://api.matiasimpulso.com/tickets/1';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"status":"example","userId":1,"queueId":1,"lastMessage":"example","unreadMessages":1,"sendFarewellMessage":true,"amountUsedBotQueues":1,"useIntegration":true,"isOutOfHour":true,"flowWebhook":true,"lastFlowId":"example","hashFlowId":"example","flowStopped":"example","dataWebhook":{},"typebotSessionId":"example","typebotStatus":true,"typebotSessionTime":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.matiasimpulso.com/tickets/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "status": "example", "userId": 1, "queueId": 1, "lastMessage": "example", "unreadMessages": 1, "sendFarewellMessage": true, "amountUsedBotQueues": 1, "useIntegration": true, "isOutOfHour": true, "flowWebhook": true, "lastFlowId": "example", "hashFlowId": "example", "flowStopped": "example", "dataWebhook": {}, "typebotSessionId": "example", "typebotStatus": true, "typebotSessionTime": "example" }'Actualiza el asesor asignado, la cola u otros atributos operativos de un ticket.
Authorizations
Sección titulada « Authorizations »Parameters
Sección titulada « Parameters »Path Parameters
Sección titulada « Path Parameters » ticketId
required
number
ID del ticket
Request Bodyrequired
Sección titulada « Request Bodyrequired » Media type application/json
object
status
string
userId
number
queueId
number
lastMessage
string
unreadMessages
number
sendFarewellMessage
boolean
amountUsedBotQueues
number
useIntegration
boolean
isOutOfHour
boolean
flowWebhook
boolean
lastFlowId
string
hashFlowId
string
flowStopped
string
dataWebhook
object
typebotSessionId
string
typebotStatus
boolean
typebotSessionTime
string
Responses
Sección titulada « Responses »Ticket actualizado correctamente
Datos de actualización inválidos
Sin permisos para modificar este ticket
Ticket no encontrado